=== debian/changelog ===
libtgowt (0~git20211207.d5c3d43+dfsg-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 20 Dec 2021 15:18:06 -0800

libtgowt (0~git20211207.d5c3d43+dfsg-2) unstable; urgency=medium

  * New Better-denormal-check.patch to fix FTBFS on armel.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 12 Dec 2021 16:24:53 +0300

libtgowt (0~git20211207.d5c3d43+dfsg-1) unstable; urgency=medium

  [ Nicholas Guriev ]
  * Update to the latest upstream commit.
  * Build against system abseil. Mark this library as transitive dependency.
  * Revert "Define NO_MAIN_THREAD_WRAPPING macro through d/rules".
    - Now upstream CMake scripts define this macro.

  [ Gianfranco Costamagna ]
  * Build depend on unversioned libjpeg-dev to fix an installation failure.
    (Closes: #992865)

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 12 Dec 2021 00:29:57 +0300
