=== debian/control ===
Source: libtgowt
Priority: optional
Section: libs
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake (>= 3.16.0),
                    libabsl-dev,
                    libasound2-dev,
                    libavcodec-dev,
                    libavformat-dev,
                    libavutil-dev,
                    libglib2.0-dev,
                    libjpeg-dev,
                    libopus-dev,
                    libpipewire-0.3-dev | libpipewire-0.2-dev,
                    libprotobuf-dev,
                    libpulse-dev,
                    libssl-dev,
                    libswresample-dev,
                    libswscale-dev,
                    libxcomposite-dev,
                    libxdamage-dev,
                    libxext-dev,
                    libxfixes-dev,
                    libxrandr-dev,
                    libxrender-dev,
                    libxtst-dev,
                    protobuf-compiler,
                    python3:any,
                    yasm [any-amd64 any-i386 x32]
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/desktop-app/tg_owt
Vcs-Git: https://salsa.debian.org/debian/libtgowt.git
Vcs-Browser: https://salsa.debian.org/debian/libtgowt

Package: libtgowt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libabsl-dev, ${misc:Depends}, ${static:Depends}
Description: telegram related WebRTC fork
 This supporting package contains a reduced fork of WebRTC source code. It is
 primarily needed for build support of video calls in Telegram Desktop. WebRTC
 project, in general, provides applications real-time capabilities that work on
 top of an open standard.
