## libtgowt 0~git20220202.d618d0b+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,11 +19,11 @@
     set(not_packaged_build 1)
 endif()
 
-option(BUILD_SHARED_LIBS "Builds shared libraries instead of static." ${TG_OWT_PACKAGED_BUILD})
+option(BUILD_SHARED_LIBS "Builds shared libraries instead of static." OFF)
 option(TG_OWT_USE_PROTOBUF "Use protobuf to generate additional headers. Useful for packaged build." ${BUILD_SHARED_LIBS})
 option(TG_OWT_USE_PIPEWIRE "Use pipewire for desktop capture on non-Apple Unix." ON)
 option(TG_OWT_DLOPEN_PIPEWIRE "dlopen pipewire 0.3 for desktop capture on non-Apple Unix." ${not_packaged_build})
-option(TG_OWT_BUILD_AUDIO_BACKENDS "Build webrtc audio backends." ON)
+option(TG_OWT_BUILD_AUDIO_BACKENDS "Build webrtc audio backends." OFF)
 
 if (NOT UNIX OR APPLE)
     set(TG_OWT_USE_PIPEWIRE OFF)
@@ -31,6 +31,20 @@
 
 if (BUILD_SHARED_LIBS)
     set(CMAKE_POSITION_INDEPENDENT_CODE ON)
+    message(WARNING
+        "tg_owt is a fork of Google's webrtc library and is developed by them as a static library without stable ABI in mind."
+        "The feature of building tg_owt as a shared library is community maintained, it may and will break at any time without guarantee to work again."
+        "Please reconsider your decision. Good luck."
+    )
+endif()
+
+if (TG_OWT_BUILD_AUDIO_BACKENDS)
+    message(WARNING
+        "According to upstream WebRTC developers, audio backends for desktop platforms are only for demo purposes."
+        "It's not recommended to use them. You've been warned."
+        "https://bugs.chromium.org/p/webrtc/issues/detail?id=10537#c2"
+        "https://bugs.chromium.org/p/webrtc/issues/detail?id=10622#c3"
+    )
 endif()
 
 project(tg_owt
@@ -69,7 +83,6 @@
 include(cmake/librnnoise.cmake)
 include(cmake/libsrtp.cmake)
 include(cmake/libusrsctp.cmake)
-include(cmake/libvpx.cmake)
 include(cmake/libyuv.cmake)
 if (APPLE)
     include(cmake/libsdkmacos.cmake)
@@ -91,12 +104,13 @@
         generate_stubs(tg_owt
             ${stubs_loc}/pipewire_stub_header.fragment
             pipewire_stubs
-            ${stubs_loc}/pipewire03.sigs
+            ${stubs_loc}/pipewire.sigs
         )
         target_compile_definitions(tg_owt
         PRIVATE
             WEBRTC_DLOPEN_PIPEWIRE
         )
+
         target_include_directories(tg_owt
         PRIVATE
             ${webrtc_loc}/third_party/pipewire/spa/include
@@ -106,6 +120,20 @@
     else()
         link_pipewire(tg_owt)
     endif()
+
+    link_glib(tg_owt)
+
+    find_package(PkgConfig REQUIRED)
+    pkg_check_modules(GBM REQUIRED gbm)
+    pkg_check_modules(DRM REQUIRED libdrm)
+    pkg_check_modules(EPOXY REQUIRED epoxy)
+
+    target_include_directories(tg_owt
+    PRIVATE
+        ${GBM_INCLUDE_DIRS}
+        ${DRM_INCLUDE_DIRS}
+        ${EPOXY_INCLUDE_DIRS}
+    )
 endif()
 
 set_target_properties(tg_owt PROPERTIES SOVERSION 0 VERSION 0.0.0)
@@ -162,7 +190,6 @@
 
 if (UNIX AND NOT APPLE)
     link_x11(tg_owt)
-    link_glib(tg_owt)
 endif()
 
 function(add_sublibrary postfix)
@@ -323,6 +350,8 @@
     # rtc_base/bind.h
     rtc_base/bit_buffer.cc
     rtc_base/bit_buffer.h
+    rtc_base/bitstream_reader.cc
+    rtc_base/bitstream_reader.h
     rtc_base/buffer.h
     rtc_base/buffer_queue.cc
     rtc_base/buffer_queue.h
@@ -335,7 +364,6 @@
     rtc_base/event.h
     rtc_base/event_tracer.cc
     rtc_base/event_tracer.h
-    rtc_base/hash.h
     rtc_base/location.cc
     rtc_base/location.h
     rtc_base/numerics/histogram_percentile_counter.cc
@@ -377,27 +405,3 @@
     rtc_base/containers/flat_tree.cc
     rtc_base/containers/flat_tree.h
     rtc_base/containers/identity.h
-    rtc_base/containers/invoke.h
-    rtc_base/containers/move_only_int.h
-    rtc_base/containers/not_fn.h
-    rtc_base/containers/void_t.h
-    rtc_base/win/scoped_com_initializer.cc
-    rtc_base/win/scoped_com_initializer.h
-    rtc_base/win/windows_version.cc
-    rtc_base/win/windows_version.h
-    rtc_base/win/create_direct3d_device.cc
-    rtc_base/win/create_direct3d_device.h
-    rtc_base/strings/string_builder.cc
-    rtc_base/strings/string_builder.h
-    rtc_base/strings/string_format.cc
-    rtc_base/strings/string_format.h
-    # rtc_base/experiments/experimental_screenshare_settings.cc
-    # rtc_base/experiments/experimental_screenshare_settings.h
-    rtc_base/experiments/encoder_info_settings.cc
-    rtc_base/experiments/encoder_info_settings.h
-    rtc_base/experiments/alr_experiment.cc
-    rtc_base/experiments/balanced_degradation_settings.cc
-    rtc_base/experiments/cpu_speed_experiment.cc
-    rtc_base/experiments/field_trial_list.cc
-    rtc_base/experiments/field_trial_parser.cc
-    rtc_base/experiments/field_trial_units.cc
