=== debian/changelog ===
libtgowt (0~git20220202.d618d0b+dfsg-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 10 Feb 2022 15:32:34 -0800

libtgowt (0~git20220202.d618d0b+dfsg-2) unstable; urgency=medium

  * Apply 347400dc upstream commit to fix screen sharing crash in Wayland.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Wed, 09 Feb 2022 18:59:44 +0300

libtgowt (0~git20220202.d618d0b+dfsg-1) unstable; urgency=medium

  * Update to the latest upstream commit.
  * Adjust build scripts.
    - New dependencies: libdrm-dev, libepoxy-dev, libgbm-dev, libvpx-dev.
    - Remove support of PipeWire 0.2, no longer needed for buster-backports.
  * Patches:
    - Rewrite Packaged-PipeWire.patch.
    - New Backport-to-stable-libvpx.patch in main branch for easy backporting.
    - New Prefer-std-bit-over-absl-bits.patch to fix build against non-updated
      Abseil in unstable.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 05 Feb 2022 22:49:15 +0300
