=== debian/control ===
--- 
+++ 
@@ -10,15 +10,19 @@
                     libavcodec-dev,
                     libavformat-dev,
                     libavutil-dev,
+                    libdrm-dev,
+                    libepoxy-dev,
+                    libgbm-dev,
                     libglib2.0-dev,
                     libjpeg-dev,
                     libopus-dev,
-                    libpipewire-0.3-dev | libpipewire-0.2-dev,
+                    libpipewire-0.3-dev,
                     libprotobuf-dev,
                     libpulse-dev,
                     libssl-dev,
                     libswresample-dev,
                     libswscale-dev,
+                    libvpx-dev (>= 1.9.0),
                     libxcomposite-dev,
                     libxdamage-dev,
                     libxext-dev,
