=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,14 @@
 INCLUDE_DIR = $(INSTALL_DIR)/usr/include/tg_owt
 FILES_EXCLUDED = src/third_party/abseil-cpp src/third_party/pipewire src/third_party/rnnoise src/third_party/yasm
 
-# Do not build the library as shared. That's not supported by upstream and too
-# difficult to guarantee binary compatibility of C++ code.
-EXTRA_CMAKE_VARIABLES += BUILD_SHARED_LIBS=OFF TG_OWT_USE_PROTOBUF=ON TG_OWT_DLOPEN_PIPEWIRE=ON
+# We do build the static library which is advised by upstream. It is too
+# difficult to guarantee binary compatibility of C++ code, and the library has
+# only one dependent, Telegram Desktop client.
+EXTRA_CMAKE_VARIABLES += TG_OWT_USE_PROTOBUF=ON TG_OWT_DLOPEN_PIPEWIRE=ON
+
+# Abseil released on 3 Nov 2021 is required at least. This version is not
+# packaged yet. Define an empty macro for lifetime attribute.
+export DEB_CPPFLAGS_MAINT_APPEND = -DABSL_ATTRIBUTE_LIFETIME_BOUND=
 
 ifeq ($(DEB_HOST_ARCH_CPU),i386)
 # Do not force SSE2 extension. Rely on checking via cpuid.
@@ -43,6 +48,10 @@
 	column -t debian/libtgowt-dev.deps
 endif
 
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 execute_after_dh_clean:
 	$(RM) debian/libtgowt-dev.deps
