## libtgowt 0~git20220508.10d5f4b%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -78,11 +78,11 @@
 include(cmake/target_yasm_sources.cmake)
 include(cmake/external.cmake)
 include(cmake/libabsl.cmake)
+include(cmake/libcrc32c.cmake)
 include(cmake/libopenh264.cmake)
 include(cmake/libpffft.cmake)
 include(cmake/librnnoise.cmake)
 include(cmake/libsrtp.cmake)
-include(cmake/libusrsctp.cmake)
 include(cmake/libyuv.cmake)
 if (APPLE)
     include(cmake/libsdkmacos.cmake)
@@ -100,7 +100,7 @@
 if (TG_OWT_USE_PIPEWIRE)
     if (TG_OWT_DLOPEN_PIPEWIRE)
         include(cmake/generate_stubs.cmake)
-        set(stubs_loc ${webrtc_loc}/modules/desktop_capture/linux)
+        set(stubs_loc ${webrtc_loc}/modules/desktop_capture/linux/wayland)
         generate_stubs(tg_owt
             ${stubs_loc}/pipewire_stub_header.fragment
             pipewire_stubs
@@ -117,22 +117,23 @@
             ${webrtc_loc}/third_party/pipewire/src
             ${webrtc_loc}/third_party/pipewire/build/src
         )
-    else()
-        link_pipewire(tg_owt)
     endif()
 
     link_glib(tg_owt)
+    link_pipewire(tg_owt ${TG_OWT_DLOPEN_PIPEWIRE})
 
     find_package(PkgConfig REQUIRED)
     pkg_check_modules(GBM REQUIRED gbm)
     pkg_check_modules(DRM REQUIRED libdrm)
-    pkg_check_modules(EPOXY REQUIRED epoxy)
-
-    target_include_directories(tg_owt
+    pkg_check_modules(GL REQUIRED gl)
+    pkg_check_modules(EGL REQUIRED egl)
+
+    target_include_directories(tg_owt SYSTEM
     PRIVATE
         ${GBM_INCLUDE_DIRS}
         ${DRM_INCLUDE_DIRS}
-        ${EPOXY_INCLUDE_DIRS}
+        ${GL_INCLUDE_DIRS}
+        ${EGL_INCLUDE_DIRS}
     )
 endif()
 
@@ -140,6 +141,7 @@
 
 target_link_libraries(tg_owt
 PRIVATE
+    tg_owt::libcrc32c
     tg_owt::libpffft
     tg_owt::librnnoise
     tg_owt::libsrtp
@@ -176,7 +178,6 @@
 link_opus(tg_owt)
 link_libabsl(tg_owt)
 link_libopenh264(tg_owt)
-link_libusrsctp(tg_owt)
 link_libvpx(tg_owt)
 
 if (TG_OWT_BUILD_AUDIO_BACKENDS AND (UNIX AND NOT APPLE))
@@ -241,8 +242,6 @@
     rtc_base/crypt_string.h
     rtc_base/checks.cc
     rtc_base/checks.h
-    # rtc_base/critical_section.cc
-    # rtc_base/critical_section.h
     rtc_base/data_rate_limiter.cc
     rtc_base/data_rate_limiter.h
     rtc_base/dscp.h
@@ -256,7 +255,6 @@
     rtc_base/ip_address.h
     rtc_base/logging.cc
     rtc_base/logging.h
-    # rtc_base/keep_ref_until_done.h
     rtc_base/mdns_responder_interface.h
     rtc_base/memory/aligned_malloc.cc
     rtc_base/memory/aligned_malloc.h
@@ -315,8 +313,6 @@
     rtc_base/rtc_certificate_generator.h
     rtc_base/rate_limiter.cc
     rtc_base/rate_limiter.h
-    # rtc_base/signal_thread.cc
-    # rtc_base/signal_thread.h
     rtc_base/sigslot_repeater.h
     rtc_base/socket.cc
     rtc_base/socket.h
@@ -347,7 +343,6 @@
     rtc_base/thread_message.h
     rtc_base/unique_id_generator.cc
     rtc_base/unique_id_generator.h
-    # rtc_base/bind.h
     rtc_base/bit_buffer.cc
     rtc_base/bit_buffer.h
     rtc_base/bitstream_reader.cc
@@ -405,3 +400,6 @@
     rtc_base/containers/flat_tree.cc
     rtc_base/containers/flat_tree.h
     rtc_base/containers/identity.h
+    rtc_base/containers/invoke.h
+    rtc_base/containers/move_only_int.h
+    rtc_base/containers/not_fn.h
