## libtgowt 0~git20220508.10d5f4b+dfsg

=== debian/changelog ===
libtgowt (0~git20220508.10d5f4b+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 16 Jul 2022 15:44:42 -0700

libtgowt (0~git20220508.10d5f4b+dfsg-1) unstable; urgency=medium

  * Update to the latest upstream commit.
  * Remove PipeWire from Files-Excluded in debian/copyright.
  * Remove Fix-loading-libdrm-before-first-use.diff taken from upstream repository.
  * Refresh remaining patches resolving conflicts.
  * New build dependencies, libgl-dev and libegl-dev, remove no longer needed
    libepoxy-dev.
  * Update copyright info, new CRC32C library and removed usrsctp.
  * Remove a workaround for PACKAGE_* macros in <config.h> headers.
  * Bump standards version to 4.6.1, no related changes.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 02 Jul 2022 14:46:00 +0300
