=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
                     libavformat-dev,
                     libavutil-dev,
                     libdrm-dev,
-                    libepoxy-dev,
+                    libegl-dev,
                     libgbm-dev,
+                    libgl-dev,
                     libglib2.0-dev,
                     libjpeg-dev,
                     libopus-dev,
@@ -33,7 +34,7 @@
                     protobuf-compiler,
                     python3:any,
                     yasm [any-amd64 any-i386 x32]
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/desktop-app/tg_owt
 Vcs-Git: https://salsa.debian.org/debian/libtgowt.git
