=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 TEMP_DIR = debian/tmp
 INSTALL_DIR = debian/libtgowt-dev
 INCLUDE_DIR = $(INSTALL_DIR)/usr/include/tg_owt
-FILES_EXCLUDED = src/third_party/abseil-cpp src/third_party/pipewire src/third_party/rnnoise src/third_party/yasm
+FILES_EXCLUDED = src/third_party/abseil-cpp src/third_party/rnnoise src/third_party/yasm
 
 # We do build the static library which is advised by upstream. It is too
 # difficult to guarantee binary compatibility of C++ code, and the library has
@@ -35,8 +35,6 @@
 execute_after_dh_auto_install:
 # Cut non UTF-8 bytes off to silence national-encoding Lintian warning. Regex taken from https://stackoverflow.com/a/1401716/5000805
 	find $(INCLUDE_DIR) -type f -print0 | xargs -0 perl -pi -e 's/((?:[\x00-\x7F]|[\xC0-\xDF][\x80-\xBF]|[\xE0-\xEF][\x80-\xBF]{2}|[\xF0-\xF7][\x80-\xBF]{3}){1,100})|./$$1/g'
-# Comment PACKAGE and related macros to fix package-name-defined-in-config-h Lintian warning.
-	find $(INCLUDE_DIR) -name config.h -print0 | xargs -0 sed -i '/\<PACKAGE\(_\|\>\)/s!^\s*#\s*define\s\+!//def!'
 # Skip empty directories to fix package-contains-empty-directory Lintian info diagnostic.
 	find $(INCLUDE_DIR) -empty -type d -delete
 
@@ -48,12 +46,12 @@
 	column -t debian/libtgowt-dev.deps
 endif
 
+execute_after_dh_clean:
+	$(RM) debian/libtgowt-dev.deps
+
 # MX don't need no stinkin' dbgsyms
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
-
-execute_after_dh_clean:
-	$(RM) debian/libtgowt-dev.deps
 
 # Download and repack original source code by hand because of uscan(1) does not
 # support yet recursive cloning Git repositories. The next script additionally
