=== debian/rules ===
--- 
+++ 
@@ -14,15 +14,6 @@
 # difficult to guarantee binary compatibility of C++ code, and the library has
 # only one dependent, Telegram Desktop client.
 EXTRA_CMAKE_VARIABLES += TG_OWT_USE_PROTOBUF=ON TG_OWT_DLOPEN_PIPEWIRE=ON
-
-# Abseil released on 3 Nov 2021 is required at least. This version is not
-# packaged yet. Define an empty macro for lifetime attribute.
-export DEB_CPPFLAGS_MAINT_APPEND = -DABSL_ATTRIBUTE_LIFETIME_BOUND=
-
-ifeq ($(DEB_HOST_ARCH_CPU),i386)
-# Do not force SSE2 extension. Rely on checking via cpuid.
-EXTRA_CMAKE_VARIABLES += TG_OWT_ARCH_X86_FORCE_SSE=OFF
-endif
 
 ifeq ($(DEB_HOST_ARCH),armhf)
 # WebRTC provides no runtime NEON checking, forbid unconditionally usage.
@@ -49,10 +40,6 @@
 execute_after_dh_clean:
 	$(RM) debian/libtgowt-dev.deps
 
-# MX don't need no stinkin' dbgsyms
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 # Download and repack original source code by hand because of uscan(1) does not
 # support yet recursive cloning Git repositories. The next script additionally
 # invokes tar(1) with options to generate reproducible tarball. You can install
