## libtgowt 0~git20230105.5098730+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 cmake_policy(SET CMP0076 NEW)
 cmake_policy(SET CMP0091 NEW)
+include(CMakeDependentOption)
 
 set_property(GLOBAL PROPERTY USE_FOLDERS ON)
 
 set(TG_OWT_SPECIAL_TARGET "" CACHE STRING "Use special platform target, like 'macstore' for Mac App Store.")
 
-set(CMAKE_OSX_DEPLOYMENT_TARGET 10.11 CACHE STRING "Minimum OS X deployment version" FORCE)
+set(CMAKE_OSX_DEPLOYMENT_TARGET 10.12 CACHE STRING "Minimum OS X deployment version" FORCE)
 
 if (NOT TG_OWT_SPECIAL_TARGET STREQUAL "")
     set(TG_OWT_PACKAGED_BUILD 0)
@@ -21,13 +22,10 @@
 
 option(BUILD_SHARED_LIBS "Builds shared libraries instead of static." OFF)
 option(TG_OWT_USE_PROTOBUF "Use protobuf to generate additional headers. Useful for packaged build." ${BUILD_SHARED_LIBS})
-option(TG_OWT_USE_PIPEWIRE "Use pipewire for desktop capture on non-Apple Unix." ON)
-option(TG_OWT_DLOPEN_PIPEWIRE "dlopen pipewire 0.3 for desktop capture on non-Apple Unix." ${not_packaged_build})
+cmake_dependent_option(TG_OWT_USE_X11 "Use X11 for desktop capture." ON "UNIX; NOT APPLE" OFF)
+cmake_dependent_option(TG_OWT_USE_PIPEWIRE "Use pipewire for desktop capture." ON "UNIX; NOT APPLE" OFF)
+cmake_dependent_option(TG_OWT_DLOPEN_PIPEWIRE "dlopen pipewire for desktop capture." ${not_packaged_build} TG_OWT_USE_PIPEWIRE OFF)
 option(TG_OWT_BUILD_AUDIO_BACKENDS "Build webrtc audio backends." OFF)
-
-if (NOT UNIX OR APPLE)
-    set(TG_OWT_USE_PIPEWIRE OFF)
-endif()
 
 if (BUILD_SHARED_LIBS)
     set(CMAKE_POSITION_INDEPENDENT_CODE ON)
@@ -141,7 +139,6 @@
 
 target_link_libraries(tg_owt
 PRIVATE
-    tg_owt::libcrc32c
     tg_owt::libpffft
     tg_owt::librnnoise
     tg_owt::libsrtp
@@ -179,6 +176,7 @@
 link_libabsl(tg_owt)
 link_libopenh264(tg_owt)
 link_libvpx(tg_owt)
+link_crc32c(tg_owt)
 
 if (TG_OWT_BUILD_AUDIO_BACKENDS AND (UNIX AND NOT APPLE))
     link_libalsa(tg_owt)
@@ -189,7 +187,7 @@
 include(cmake/libwebrtcbuild.cmake)
 target_link_libraries(tg_owt PUBLIC tg_owt::libwebrtcbuild)
 
-if (UNIX AND NOT APPLE)
+if (TG_OWT_USE_X11)
     link_x11(tg_owt)
 endif()
 
@@ -219,9 +217,6 @@
 PRIVATE
     rtc_base/deprecated/recursive_critical_section.cc
     rtc_base/deprecated/recursive_critical_section.h
-    rtc_base/async_invoker.cc
-    rtc_base/async_invoker.h
-    rtc_base/async_invoker_inl.h
     rtc_base/async_packet_socket.cc
     rtc_base/async_packet_socket.h
     rtc_base/async_resolver_interface.cc
@@ -260,10 +255,9 @@
     rtc_base/memory/aligned_malloc.h
     rtc_base/memory/fifo_buffer.cc
     rtc_base/memory/fifo_buffer.h
+    rtc_base/memory/always_valid_pointer.h
     rtc_base/message_digest.cc
     rtc_base/message_digest.h
-    rtc_base/message_handler.cc
-    rtc_base/message_handler.h
     rtc_base/net_helper.cc
     rtc_base/net_helper.h
     rtc_base/net_helpers.cc
@@ -313,7 +307,6 @@
     rtc_base/rtc_certificate_generator.h
     rtc_base/rate_limiter.cc
     rtc_base/rate_limiter.h
-    rtc_base/sigslot_repeater.h
     rtc_base/socket.cc
     rtc_base/socket.h
     rtc_base/socket_adapters.cc
@@ -340,7 +333,6 @@
     rtc_base/time_utils.h
     rtc_base/thread.cc
     rtc_base/thread.h
-    rtc_base/thread_message.h
     rtc_base/unique_id_generator.cc
     rtc_base/unique_id_generator.h
     rtc_base/bit_buffer.cc
@@ -359,12 +351,11 @@
     rtc_base/event.h
     rtc_base/event_tracer.cc
     rtc_base/event_tracer.h
-    rtc_base/location.cc
-    rtc_base/location.h
     rtc_base/numerics/histogram_percentile_counter.cc
     rtc_base/numerics/histogram_percentile_counter.h
     rtc_base/numerics/mod_ops.h
     rtc_base/numerics/moving_max_counter.h
+    rtc_base/numerics/moving_percentile_filter.h
     rtc_base/numerics/sample_counter.cc
     rtc_base/numerics/sample_counter.h
     rtc_base/one_time_event.h
@@ -394,7 +385,6 @@
     rtc_base/win32.h
     rtc_base/win32_window.cc
     rtc_base/win32_window.h
-    rtc_base/containers/as_const.h
     rtc_base/containers/flat_map.h
     rtc_base/containers/flat_set.h
     rtc_base/containers/flat_tree.cc
@@ -402,4 +392,7 @@
     rtc_base/containers/identity.h
     rtc_base/containers/invoke.h
     rtc_base/containers/move_only_int.h
-    rtc_base/containers/not_fn.h
+    rtc_base/win/scoped_com_initializer.cc
+    rtc_base/win/scoped_com_initializer.h
+    rtc_base/win/windows_version.cc
+    rtc_base/win/windows_version.h
