=== debian/changelog ===
libtgowt (0~git20230105.5098730+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Revert "Increase minimal abseil version to 20220623.0".
  * New Backport-to-stable-Abseil.patch.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 23 Jan 2023 11:13:45 +0300

libtgowt (0~git20230105.5098730+dfsg-1) unstable; urgency=medium

  * Update to the latest upstream commit.
  * Increase minimal abseil version to 20220623.0.
  * Remove patches:
    - Conflicting Avoid-SSE2-on-i386.patch until bug#995194 is fixed.
    - Prefer-std-bit-over-absl-bits.patch since backporting to bullseye
      requires more changes.
    - Ignore-sanitize-attr.patch because upstream already seems compatible
      with GCC.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Tue, 10 Jan 2023 23:20:23 +0300

libtgowt (0~git20220508.10d5f4b+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * No-change rebuild for bullseye-backports.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Thu, 27 Oct 2022 23:27:34 +0300

libtgowt (0~git20220202.d618d0b+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * No-change rebuild for bullseye-backports.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 14 Feb 2022 22:37:26 +0300

libtgowt (0~git20211207.d5c3d43+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 19 Jan 2022 20:55:36 +0100
