=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch:
  cmake (>= 3.16.0),
- libabsl-dev (>= 0~20220623.0),
+ libabsl-dev,
  libasound2-dev,
  libavcodec-dev,
  libavformat-dev,
@@ -20,7 +20,6 @@
  libpipewire-0.3-dev,
  libprotobuf-dev,
  libpulse-dev,
- libsrtp2-dev,
  libssl-dev,
  libswresample-dev,
  libswscale-dev,
