=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,10 @@
 # difficult to guarantee binary compatibility of C++ code, and the library has
 # only one dependent, Telegram Desktop client.
 EXTRA_CMAKE_VARIABLES += TG_OWT_USE_PROTOBUF=ON TG_OWT_DLOPEN_PIPEWIRE=ON
+
+# Abseil released on 3 Nov 2021 is required at least. This version is not
+# packaged yet. Define an empty macro for lifetime attribute.
+export DEB_CPPFLAGS_MAINT_APPEND = -DABSL_ATTRIBUTE_LIFETIME_BOUND=
 
 ifeq ($(DEB_HOST_ARCH),armhf)
 # WebRTC provides no runtime NEON checking, forbid unconditionally usage.
